package cn.pluss.platform.platformData;

import cn.pluss.platform.entity.PlatformData;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 首页数据统计表 服务类
 * </p>
 *
 * @author bzg
 * @since 2021-10-20
 */
public interface PlatformDataService extends IService<PlatformData> {
    /**
     * @description:统计首页数据
     * @date: 2021/10/20 15:34
     * @return PlatformData
     */
    PlatformData getYestDayPlatformData();
    /**
     * @description:获得昨日退款数据
     * @date: 2021/10/20 15:49
     * @return cn.pluss.platform.entity.PlatformData
     */
    PlatformData getYestDayPlatformRefundData();

    /**
     * @description:获取昨日新增数据
     * @date: 2021/10/20 15:54
     * @return cn.pluss.platform.entity.PlatformData
     */
    PlatformData getYestDayPlatformAddData();


    PlatformData censusPlatformData();

    List<Map<String, Object>> getChartTransCountData();

    List<Map<String, Object>> getChartChannelCountData();
}
